> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Countries

Retrieve all available countries. Use `country_id` for offer targeting and rulesets. Reporting endpoints typically reference `country_code`.


## OpenAPI

````yaml openapi/metadata.yaml get /meta/countries
openapi: 3.0.3
info:
  title: Everflow API - Metadata
  description: >
    Lookup endpoints for targeting and reporting metadata. Use these endpoints
    to retrieve valid IDs and values for countries, regions, cities, browsers,
    platforms, device types, and other dimensions used across the Everflow API.


    These values are referenced by offer targeting, rulesets, reporting filters,
    and other API endpoints that accept dimension IDs.
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Geolocation
    description: Country, region, city, DMA, and timezone lookups.
  - name: Device & Browser
    description: >-
      Browser, platform, device type, brand, OS version, and connection type
      lookups.
  - name: Other
    description: Currency, mobile carrier, and browser language lookups.
paths:
  /meta/countries:
    get:
      tags:
        - Geolocation
      summary: List Countries
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  countries:
                    type: array
                    items:
                      type: object
                      properties:
                        country_id:
                          type: integer
                          description: Unique country identifier used in targeting.
                        country_code:
                          type: string
                          description: Two-letter ISO country code.
                        country_name:
                          type: string
                          description: Full country name.
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````